<ng-template #loading>
  <mat-progress-bar mode="indeterminate"></mat-progress-bar>
</ng-template>

<div *ngIf="!detailsLoading; else loading">
  <mat-card-header>
    <div mat-card-avatar>
      <div fxLayout="column" fxLayoutAlign="center center"><mat-icon>local_gas_station</mat-icon></div>
    </div>
    <mat-card-title>{{ station.name | ReplaceEmpty }} </mat-card-title>
    <mat-card-subtitle *ngIf="dist">{{ 'COMPONENTS.CARDDETAILS.DIST' | translate }}: {{ dist }} km</mat-card-subtitle>
    <div class="spacer"></div>
    <button mat-icon-button type="button" (click)="showInGoogleMaps()" matTooltip="{{ 'COMPONENTS.CARDDETAILS.GMAPS' | translate }}" fxHide.xs>
      <mat-icon>open_in_new</mat-icon>
    </button>
  </mat-card-header>
  <mat-divider></mat-divider>
  <mat-card-content fxLayout="column" fxLayoutGap="10px" class="m16T">
    <button mat-stroked-button type="button" (click)="showInGoogleMaps()" fxHide.gt-xs>{{ 'COMPONENTS.CARDDETAILS.GMAPS' | translate }}</button>

    <section name="sameLocation" *ngIf="origin === destination">
      <google-map [center]="origin" [zoom]="15" height="200px" width="100%">
        <map-marker [position]="origin"></map-marker>
      </google-map>
    </section>

    <section name="diffLocation" *ngIf="origin !== destination">
      <google-map [center]="origin" [zoom]="15" height="200px" width="100%">
        <map-directions-renderer *ngIf="directionsResults$ | async as directionsResults" [directions]="directionsResults"></map-directions-renderer>
      </google-map>
    </section>

    <mat-divider></mat-divider>

    <strong>{{ 'COMPONENTS.CARDDETAILS.DETAILS' | translate }}</strong>

    <div fxLayout="row" fxLayout.lt-lg="column" fxLayoutAlign="start center" fxLayoutGap="8px" class="area-wrapper">
      <div class="area icon-place" fxFlex="30" fxFlex.lt-lg="100">
        <div fxLayout="column" fxLayoutAlign="center start">
          <small class="smallcaption">{{ 'COMPONENTS.CARDDETAILS.ADRESS' | translate }}</small>
          <small>{{ station.street }}</small>
          <small>{{ station.postalCode }} {{ station.place }}</small>
        </div>
      </div>

      <div class="area icon-brand" fxFlex="20" fxFlex.lt-lg="100">
        <div fxLayout="column" fxLayoutAlign="center start">
          <small class="smallcaption">{{ 'COMPONENTS.CARDDETAILS.BRAND' | translate }}</small>
          <small>{{ station.brand | ReplaceEmpty }}</small>
        </div>
      </div>

      <div class="area icon-time" fxFlex="50" fxFlex.lt-lg="100">
        <div fxLayout="column" fxLayoutAlign="center start">
          <small class="smallcaption">{{ 'COMPONENTS.CARDDETAILS.TIMES' | translate }}</small>
          <small *ngFor="let time of station.openingTimes" fxLayout="row" fxLayoutGap="8px">
            <strong>{{ time.days }}:</strong>
            <div *ngFor="let hours of time.times">{{ hours.open }} - {{ hours.close }}</div>
          </small>
          <small *ngIf="station.openingTimes?.length === 0">{{ 'COMPONENTS.CARDDETAILS.NO_TIMES' | translate }}</small>
          <small *ngIf="!station.isOpen" class="text-orange">{{ 'COMPONENTS.CARDDETAILS.CLOSED' | translate }}</small>
        </div>
      </div>
    </div>

    <mat-divider></mat-divider>

    <strong>{{ 'COMPONENTS.CARDDETAILS.PRICES' | translate }}</strong>

    <div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="8px" fxLayoutAlign="space-between center" class="m12B area-wrapper">
      <div class="area" fxFlex="33" fxFlex.lt-lg="100">
        <div fxLayout="column" fxLayoutAlign="center start"><small class="smallcaption">Super</small> <span [innerHTML]="commonService.getLastCharSup(e5Data?.price)"></span></div>
      </div>

      <div class="area" fxLayout.lt-md="column" fxFlex="33" fxFlex.lt-lg="100">
        <div fxLayout="column" fxLayoutAlign="center start"><small class="smallcaption">Super E10</small> <span [innerHTML]="commonService.getLastCharSup(e10Data?.price)"></span></div>
      </div>

      <div class="area" fxLayout.lt-md="column" fxFlex="33" fxFlex.lt-lg="100">
        <div fxLayout="column" fxLayoutAlign="center start"><small class="smallcaption">Diesel</small> <span [innerHTML]="commonService.getLastCharSup(dieselData?.price)"></span></div>
      </div>
    </div>
  </mat-card-content>
  <mat-divider></mat-divider>
  <div mat-dialog-actions fxLayout="row" fxLayoutAlign="center center" fxLayoutGap="8px">
    <button *ngIf="historyService.apiOnline" mat-button type="button" (click)="loadStatistics()" fxHide.lt-md><mat-icon>timeline</mat-icon> {{ 'COMPONENTS.CARDDETAILS.TIMELINE' | translate }}</button>
    <button mat-button type="button" (click)="openFeedback()"><mat-icon>compare_arrows</mat-icon> {{ 'COMPONENTS.CARDDETAILS.IMPROVEMENT' | translate }}</button>
    <button mat-stroked-button type="button" (click)="closeDialog()">{{ 'COMPONENTS.CARDDETAILS.CLOSE' | translate }}</button>
  </div>
</div>
